import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SwingHelloWorld implements Runnable {

  public static void main(String[] args) {
      SwingUtilities.invokeLater(new SwingHelloWorld());
  }

  private class ButtonActionListener implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
      System.out.println("Hello World!");
		}
	}

    public void run() {
        JFrame frame = new JFrame("Hello World!");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JButton button = new JButton("Say 'Hello World'");
        button.addActionListener(new ButtonActionListener());

        frame.setPreferredSize(new Dimension(300, 250));
        frame.add(button, BorderLayout.SOUTH);

        frame.pack();
        frame.setVisible(true);
    }


  }
